#!/bin/bash

if [ -z ${OEDIR} ]; then
	echo "setting OEDIR to `pwd`"
	OEDIR=`pwd`
fi

#### default config here ###

TESTING_KERNEL=linux-openmoko-2.6.28
UNSTABLE_KERNEL=linux-openmoko-stable
EXPERIMENTAL_KERNEL=linux-openmoko-devel

TESTING_BRANCH=origin/fso/milestone5.5
UNSTABLE_BRANCH=origin/fso/milestone5.5
EXPERIMENTAL_BRANCH=origin/fso/milestone5.5

#MACHINE_TARGET="om-3d7k om-gta02 om-gta01"
MACHINE_TARGET="om-gta02 om-gta01"
OM_FEED_TARGET="experimental unstable"
#OM_FEED_TARGET="unstable experimental"

OESTATS_SERVER="tinderbox.openembedded.net" 
OESTATS_BUILDER="openmoko"
PATH="${OEDIR}/bitbake/bin:${PATH}"

# defult BBPATH, MACHINE, OM_FEED and TMPDIR. This gets overridden in build.sh for specific machines and feeds
TMPDIR="${OEDIR}/openmoko"
MACHINE="om-gta02"
OM_FEED="unstable"
BBPATH="${OEDIR}/${MACHINE}-${OM_FEED}-meta:${OEDIR}/local:${OEDIR}/openembedded"

export OESTATS_SERVER 
export OESTATS_BUILDER
export BB_ENV_EXTRAWHITE="OEDIR OESTATS_SERVER OESTATS_BUILDER OM_FEED MACHINE "
export BBPATH
export OEDIR
export PATH
export MACHINE
export OM_FEED

RSYNC_TARGET=/space/www/buildhost/daily